[DEFAULT]
tags = devtools
subsuite = devtools
skip-if = (os == 'linux' && debug && bits == 32)
support-files =
  examples/*
  head.js
  helpers.js
  helpers/context.js
  !/devtools/client/framework/browser-toolbox/test/helpers-browser-toolbox.js
  !/devtools/client/inspector/test/head.js
  !/devtools/client/inspector/test/shared-head.js
  !/devtools/client/shared/test/shared-head.js
  !/devtools/client/shared/test/telemetry-test-helpers.js
  !/devtools/client/shared/test/test-actor.js

[browser_dbg-asm.js]
[browser_dbg-asyncstacks.js]
[browser_dbg-audiocontext.js]
[browser_dbg-async-stepping.js]
[browser_dbg-sourcemapped-breakpoint-console.js]
skip-if = (os == "win" && ccov) # Bug 1453549
[browser_dbg-xhr-breakpoints.js]
[browser_dbg-xhr-run-to-completion.js]
[browser_dbg-scroll-run-to-completion.js]
[browser_dbg-sourcemapped-scopes.js]
skip-if = ccov || debug || (verify && debug && (os == 'linux')) # Bug 1441545, 1536253 - very slow on debug
[browser_dbg-sourcemapped-stepping.js]
skip-if = true # original stepping is currently disabled
[browser_dbg-sourcemapped-toggle.js]
[browser_dbg-sourcemapped-preview.js]
skip-if = os == "win" # Bug 1448523, Bug 1448450
[browser_dbg-breaking.js]
[browser_dbg-breaking-from-console.js]
skip-if = debug # Window leaks: bug 1575332
[browser_dbg-breakpoints.js]
[browser_dbg-breakpoints-actions.js]
[browser_dbg-breakpoints-columns.js]
[browser_dbg-breakpoints-cond.js]
[browser_dbg-breakpoints-cond-shortcut.js]
[browser_dbg-breakpoints-cond-source-maps.js]
[browser_dbg-breakpoints-debugger-statement.js]
[browser_dbg-breakpoints-duplicate-functions.js]
[browser_dbg-browser-content-toolbox.js]
skip-if = !e10s || verify # This test is only valid in e10s
[browser_dbg-continue-to-here.js]
[browser_dbg-breakpoints-reloading.js]
[browser_dbg-breakpoint-skipping.js]
[browser_dbg-breakpoint-skipping-console.js]
[browser_dbg-call-stack.js]
[browser_dbg-dom-mutation-breakpoints.js]
[browser_dbg-scopes.js]
[browser_dbg-chrome-create.js]
skip-if = (verify && !debug && (os == 'linux'))
[browser_dbg-chrome-debugging.js]
[browser_dbg-command-click.js]
[browser_dbg-console.js]
[browser_dbg-console-async.js]
[browser_dbg-console-eval.js]
[browser_dbg-console-link.js]
[browser_dbg-console-map-bindings.js]
[browser_dbg-content-script-sources.js]
skip-if = (os == "win" && ccov) # Bug 1424154
[browser_dbg-debug-line.js]
[browser_dbg-debugger-buttons.js]
[browser_dbg-editor-gutter.js]
[browser_dbg-eager-eval-skip-pause.js]
[browser_dbg-editor-scroll.js]
[browser_dbg-editor-select.js]
[browser_dbg-editor-highlight.js]
[browser_dbg-ember-quickstart.js]
skip-if = debug # Window leaks: bug 1575332
[browser_dbg-expressions.js]
[browser_dbg-expressions-error.js]
[browser_dbg-expressions-focus.js]
[browser_dbg-expressions-watch.js]
[browser_dbg-fission-switch-target.js]
skip-if = true # Landed disabled for intermittent issues on navigation. See Bug 1605743.
[browser_dbg-go-to-line.js]
[browser_dbg-highlights-calls.js]
[browser_dbg-html-breakpoints.js]
[browser_dbg-iframes.js]
[browser_dbg-inline-cache.js]
skip-if = ccov && os == 'win' # Bug 1443132
[browser_dbg-inline-preview.js]
[browser_dbg-inspector-integration.js]
[browser_dbg-keyboard-navigation.js]
[browser_dbg-keyboard-shortcuts.js]
skip-if = os == "linux" # bug 1351952
[browser_dbg-layout-changes.js]
[browser_dbg-log-events.js]
[browser_dbg-log-points.js]
[browser_dbg-log-points-workers.js]
[browser_dbg-outline.js]
[browser_dbg-outline-focus.js]
skip-if = verify
[browser_dbg-outline-pretty.js]
[browser_dbg-outline-filter.js]
[browser_dbg-pause-exceptions.js]
skip-if = !debug && (os == "win" && os_version == "6.1") # Bug 1456441
[browser_dbg-pause-on-next.js]
[browser_dbg-pause-ux.js]
skip-if = os == "win"
[browser_dbg-navigation-when-paused.js]
[browser_dbg-navigation.js]
skip-if = (verify && debug && (os == 'mac')) || (os == 'linux' && debug && bits == 64) || (os == 'mac' && debug) # Bug 1307249
[browser_dbg-minified.js]
[browser_dbg-pretty-print.js]
[browser_dbg-pretty-print-breakpoints.js]
[browser_dbg-pretty-print-breakpoints-delete.js]
[browser_dbg-pretty-print-console.js]
[browser_dbg-pretty-print-paused.js]
[browser_dbg-pretty-print-flow.js]
[browser_dbg-preview-getter.js]
[browser_dbg-preview.js]
skip-if = os == "win"
[browser_dbg-preview-frame.js]
skip-if = os == "win"
[browser_dbg-preview-module.js]
skip-if = os == "win"
[browser_dbg-preview-source-maps.js]
skip-if = os == "win"
[browser_dbg-react-jsx.js]
[browser_dbg-returnvalues.js]
[browser_dbg-reload.js]
[browser_dbg-reloading.js]
skip-if = true
[browser_dbg-pause-points.js]
[browser_dbg-scopes-mutations.js]
[browser_dbg-search-file-retains-query.js]
skip-if = os == "win" # Bug 1393121
[browser_dbg-search-file.js]
skip-if = os == "win" # Bug 1393121
[browser_dbg-search-file-paused.js]
skip-if = os == "win" # Bug 1393121
[browser_dbg-quick-open.js]
skip-if = os == "win"
[browser_dbg-search-project.js]
[browser_dbg-blackbox-all.js]
[browser_dbg-blackbox-original.js]
[browser_dbg-state-based-panels.js]
[browser_dbg-sourcemaps.js]
[browser_dbg-sourcemaps-breakpoints.js]
[browser_dbg-sourcemaps-disabled.js]
[browser_dbg-sourcemaps-indexed.js]
[browser_dbg-sourcemaps-reload.js]
skip-if = os == "win" || (verify) # Bug 1434792
[browser_dbg-sourcemaps-reloading.js]
[browser_dbg-sourcemaps-reloading-quickly.js]
[browser_dbg-sourcemaps2.js]
[browser_dbg-sourcemaps3.js]
[browser_dbg-sourcemaps-bogus.js]
skip-if = os == 'linux' && !asan # bug 1447118
[browser_dbg-sources.js]
[browser_dbg-sources-arrow-keys.js]
[browser_dbg-sources-named-eval.js]
[browser_dbg-sources-querystring.js]
skip-if = true
[browser_dbg-stepping.js]
skip-if = debug || (verify && (os == 'win')) || (os == "win" && os_version == "6.1")
[browser_dbg-step-in-uninitialized.js]
[browser_dbg-tabs.js]
[browser_dbg-tabs-keyboard.js]
skip-if = os == "win"
[browser_dbg-tabs-pretty-print.js]
[browser_dbg-tabs-without-urls.js]
[browser_dbg-tabs-without-urls-selected.js]
[browser_dbg-toggling-tools.js]
[browser_dbg-react-app.js]
skip-if = os == "win"
[browser_dbg-wasm-sourcemaps.js]
skip-if = true #Bug 1571994
[browser_dbg-windowless-workers.js]
[browser_dbg-windowless-workers-early-breakpoint.js]
[browser_dbg-worker-exception.js]
[browser_dbg-windowless-service-workers.js]
skip-if = !nightly_build || (os == 'linux' && ccov) # parent intercept mode is needed bug 1588154. Bug 1613543, the test consistently timeouts on Linux coverage builds.
[browser_dbg-worker-scopes.js]
skip-if = (os == 'linux' && debug) || (os == 'linux' && asan) || ccov  #Bug 1456013, Bug 1559547
[browser_dbg-event-handler.js]
[browser_dbg-event-breakpoints.js]
[browser_dbg-eval-throw.js]
[browser_dbg-sourceURL-breakpoint.js]
[browser_dbg-old-breakpoint.js]
[browser_dbg-idb-run-to-completion.js]
[browser_dbg-inline-script-offset.js]
[browser_dbg-scopes-duplicated.js]
[browser_dbg-scopes-xrays.js]
[browser_dbg-merge-scopes.js]
[browser_dbg-message-run-to-completion.js]
[browser_dbg-remember-expanded-scopes.js]
[browser_dbg-bfcache.js]
[browser_dbg-gc-breakpoint-positions.js]
[browser_dbg-gc-sources.js]
[browser_dbg-watchpoints.js]
skip-if = debug
[browser_dbg-toolbox-unselected-pause.js]
skip-if = asan # Bug 1591064
[browser_dbg-toolbox-workers.js]
skip-if = asan || !nightly_build # Bug 1591064, parent intercept mode is needed bug 1588154
[browser_dbg-wrong-fetch.js]
[browser_dbg-worker-nested.js]
[browser_dbg-step-in-navigate.js]
